Bug 1001580 - traceback with wrong xmlrpc url
traceback with wrong xmlrpc url
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
:
: 1038619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 06:42 EDT by Karel Volný
Modified: 2016-05-31 21:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:13:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-08-27 06:42:55 EDT
Description of problem:
seems that python-nitrate is unable to cope with http redirects and/or missing trailing slash in server xmlrpc url

Version-Release number of selected component (if applicable):
python-nitrate-0.9-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. misconfigure ~/.nitrate - omit trailing slash in xmlrpc url
2. beaker workflow-tomorrow ...

Actual results:
Traceback (most recent call last):
  File "/usr/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==0.14.1', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.7/site-packages/bkr/client/main.py", line 50, in main
    return cmd.run(*cmd_args, **cmd_opts.__dict__)
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_tomorrow.py", line 1819, in run
    job.schedule(runs=[nitrate.TestRun(id)])
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_tomorrow.py", line 1368, in schedule
    self.check_runs()
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_tomorrow.py", line 584, in check_runs
    info("Checking test run {0}".format(run))
  File "/usr/lib/python2.7/site-packages/nitrate/api.py", line 486, in __str__
    return ascii(self.__unicode__())
  File "/usr/lib/python2.7/site-packages/nitrate/api.py", line 2817, in __unicode__
    return u"{0} - {1}".format(self.identifier, self.summary)
  File "/usr/lib/python2.7/site-packages/nitrate/api.py", line 238, in getter
    self._get()
  File "/usr/lib/python2.7/site-packages/nitrate/api.py", line 2911, in _get
    testrunhash = self._server.TestRun.get(self.id)
  File "/usr/lib/python2.7/site-packages/nitrate/api.py", line 452, in _server
    self._config.nitrate.url).server
  File "/usr/lib/python2.7/site-packages/nitrate/xmlrpc.py", line 508, in __init__
    login_dict = self.do_command("Auth.login_krbv", [])
  File "/usr/lib/python2.7/site-packages/nitrate/xmlrpc.py", line 461, in do_command
    raise NitrateXmlrpcError(verb, params, e)
nitrate.xmlrpc.NitrateXmlrpcError: Error while executing cmd 'Auth.login_krbv()' --> <ProtocolError for [internal url]/xmlrpc: 301 MOVED PERMANENTLY>

Expected results:
[WARNING] https://[internal url]/xmlrpc redirects to https://[internal url]/xmlrpc/
please update your configuration found in /path/to/configfile
going on with https://[internal url]/xmlrpc/ ...
...

Additional info:
Comment 1 Karel Volný 2013-12-05 08:46:42 EST
*** Bug 1038619 has been marked as a duplicate of this bug. ***
Comment 2 Petr Šplíchal 2014-03-03 08:16:06 EST
I was not able to find the latest python driver code which should
already have applied patch for bug 824485. So I've applied it into
python-nitrate and it seems this fixes the problem just fine:

$ wow --case 8578 6 i386 --dry
[ERROR] Encrypted https communication required for Kerberos authentication.
URL provided: http://tcms-stage.englab.bne.redhat.com/xmlrpc/

https://github.com/psss/python-nitrate/commit/e5c8181
Comment 3 Fedora End Of Life 2015-01-09 17:35:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:13:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.